Package org.bukkit.block.data.type

# Interface RedstoneWire

All Superinterfaces:
  `AnaloguePowerable`, `BlockData`, `Cloneable`

public interface RedstoneWire extends AnaloguePowerable
'north', 'east', 'south', 'west' represent the types of connections this redstone wire has to adjacent blocks.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`RedstoneWire.Connection`
The way in which a redstone wire can connect to an adjacent block face.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Set<BlockFace>`
`getAllowedFaces()`
Gets all of this faces which may be set on this block.
`@NotNull RedstoneWire.Connection`
`getFace(@NotNull BlockFace face)`
Checks the type of connection on the specified face.
`void`
`setFace(@NotNull BlockFace face, @NotNull RedstoneWire.Connection connection)`
Sets the type of connection on the specified face.

### Methods inherited from interface org.bukkit.block.data.AnaloguePowerable

`getMaximumPower, getPower, setPower`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### getFace

@NotNull @NotNull RedstoneWire.Connection getFace(@NotNull @NotNull BlockFace face)
Checks the type of connection on the specified face.

Parameters:
  `face` - to check
Returns:
  connection type

### setFace

void setFace(@NotNull @NotNull BlockFace face, @NotNull @NotNull RedstoneWire.Connection connection)
Sets the type of connection on the specified face.

Parameters:
  `face` - to set
  `connection` - the connection type

### getAllowedFaces

@NotNull @NotNull Set<BlockFace> getAllowedFaces()
Gets all of this faces which may be set on this block.

Returns:
  all allowed faces